<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML Attributes and Links</title>
  </head>
  <body>
    <!-- NOTE: id attribute assigns a unique name identifeir to an element -->
    <h2 id="top">HTML Attributes</h2>
    <!-- NOTE: aling attribute- changes alignment of an element (align left is the default)-->
    <p align="center">
      <em>Modifiers of elements behavior</em>
    </p>

    <h2>HTML Images</h2>
    <p align="right">
      <em
        >An image can be shown using &ltimg&gt along with its
        <strong>src attribute</strong></em
      >
    </p>

    <!-- NOTE: Add an image using absolute link. -->
    <a href="https://place-puppy.com/300x300" target="_blank">
      <img src="https://place-puppy.com/300x300" alt="puppy" />
    </a>
    <p>
      <!-- NOTE: code tag is used to define a piece of computer code and displays text in the browser. -->
      <code> &ltimg src="https://place-puppy.com/300x300" alt="puppy"&gt </code>
    </p>

    <!--
      NOTE: add image using relative link
      NOTE: the dot (.) symbol in the relative link refers to the current directory
      NOTE: double dot (..) is use to access the folder on level up from the current directory.
      NOTE: the forward slash (/) symbol refers to accessing a different directory/folder
    -->
    <img src="./images/zuittlogo.png" alt="zuiit logo" />

    <p>
      <code> &lt;img src="./images/zuittlogo.png" alt="zuitt logo"&gt </code>
    </p>
    <p> Valid image extensions are the following: </p>
    <ol type="I" reversed>
      <!--
        NOTE: ol - 1 A a i I.
        NOTE: ul -disc circlle square.
        NOTE: the reversed attribute reverses the order of the bullet points.
      -->
      <li>png</li>
      <li>jpg/jpeg</li>
      <li>gif</li>
      <li>svg</li>
      <li>webp</li>
    </ol>

    <p>
      Take a look at w3schools attribute references
      <a
        href="https://www.w3schools.com/tags/ref_attributes.asp"
        target="_blank"
        >here</a
      >
    </p>

    <h2>HTML Links</h2>
    <h4>Absolute Link</h4>

    <!--
        NOTE: absolute links = outside our website.
        NOTE: Relative links = same domain or location on our website
        NOTE: Creating a hyperlink element that redirects to a different page
        NOTE: a tag - creates a hyperlink element when clicked will be redirected to a different page.
        NOTE: href attribute means 'hypertext reference' which is use to specify the link.
     -->
    <a href="https://zuitt.co/" target="_blank">I'm a hyperlink</a>

    <h4>Relative Link</h4>
    <p>Goto <a href="./link.html">link.html</a></p>

    <!-- NOTE: Redirect to the HTML element with the id attribute tha value is equal to top -->
    <p>Go to <a href="#top">top</a></p>
  </body>
</html>
